## node-assertion-error 1.0.2

=== Makefile ===

#
# Tests
# 

test: test-node

test-node: 
	@printf "\n  ==> [Node.js]\n"
	@NODE_ENV=test node ./test/index.js

test-browser:
	@printf "\n  ==> [Browser]\n"
	@make build
	@printf "\n\n  Open 'test/index.html' in your browser to test.\n\n"

#
# Components
# 

build: components
	@./node_modules/.bin/component-build --dev

components: component.json
	@./node_modules/.bin/component-install --dev

#
# Clean up
# 

clean: clean-components 

clean-components:
	@rm -rf build
	@rm -rf components

.PHONY: test test-node test-browser
.PHONY: clean clean-components

=== debian/changelog ===
node-assertion-error (1.0.2-1) unstable; urgency=low

  * Initial release (Closes: #840487)

 -- Syam G Krishnan <sgk@riseup.net>  Wed, 12 Oct 2016 09:24:21 +0530

=== debian/control ===
Source: node-assertion-error
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Syam G Krishnan <sgk@riseup.net>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
Standards-Version: 3.9.8
Homepage: https://github.com/chaijs/assertion-error#readme
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-assertion-error.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-assertion-error.git

Package: node-assertion-error
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: Error constructor fro validation frameworks
 Error constructor for test and validation frameworks
 that implements standardized AssertionError specification.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Tests: require
Depends: node-assertion-error

## node-assertion-error 1.1.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Tests
 # 
 
-test: test-node
+test: test-node test-typescript
 
 test-node: 
 	@printf "\n  ==> [Node.js]\n"
@@ -13,6 +13,9 @@
 	@printf "\n  ==> [Browser]\n"
 	@make build
 	@printf "\n\n  Open 'test/index.html' in your browser to test.\n\n"
+
+test-typescript:
+	@./node_modules/.bin/tsc test/typings.ts index.d.ts --noEmit
 
 #
 # Components

=== debian/changelog ===
node-assertion-error (1.1.0-2) unstable; urgency=medium

  * Team upload
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.
  * Modernize debian/watch
  * Fix filenamemangle
  * Fix GitHub tags regex
  * Use dh-sequence-nodejs instead of pkg-js-tools
  * Drop dependency to nodejs

 -- Yadd <yadd@debian.org>  Thu, 13 Jan 2022 22:37:42 +0100

node-assertion-error (1.1.0-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.0
  * Bump debhelper compatibility level to 12
  * Update VCS fields to salsa
  * Use pkg-js-tools auto install
  * Enable upstream test
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Add upstream/metadata

 -- Xavier Guimard <yadd@debian.org>  Wed, 19 Feb 2020 16:01:33 +0100

=== debian/control ===
Source: node-assertion-error
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Syam G Krishnan <sgk@riseup.net>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-assertion-error
Vcs-Git: https://salsa.debian.org/js-team/node-assertion-error.git
Homepage: https://github.com/chaijs/assertion-error
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-assertion-error
Architecture: all
Depends: ${misc:Depends}
Description: Error constructor fro validation frameworks
 Error constructor for test and validation frameworks
 that implements standardized AssertionError specification.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-assertion-error-$1/ \
 https://github.com/chaijs/assertion-error/tags .*/archive/.*/v?([\d\.]+).tar.gz

## node-assertion-error 2.0.0

=== debian/changelog ===
node-assertion-error (2.0.0-2) experimental; urgency=medium

  * Team upload
  * Import fix from 2.0.1

 -- Yadd <yadd@debian.org>  Sun, 24 Aug 2025 21:16:20 +0200

node-assertion-error (2.0.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 2.0.0
  * Build with tsc

 -- Yadd <yadd@debian.org>  Sun, 24 Aug 2025 18:39:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Syam G Krishnan <sgk@riseup.net>
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
-Standards-Version: 4.6.0
+ , node-typescript
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-assertion-error
 Vcs-Git: https://salsa.debian.org/js-team/node-assertion-error.git
 Homepage: https://github.com/chaijs/assertion-error
@@ -15,6 +16,7 @@
 Package: node-assertion-error
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Error constructor fro validation frameworks
  Error constructor for test and validation frameworks
  that implements standardized AssertionError specification.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	tsc

override_dh_installchangelogs:
	dh_installchangelogs -k History.md

=== debian/watch ===
Version: 5

Template: Github
Owner: chaijs
Project: assertion-error
